import { TapStreamReader, TapStreamWriter } from '@iotize/tap/client/impl';
import { DBIOTConverterInterface } from '../compressor-interface';
export declare class TLVMappedBooleanValueCompressor implements DBIOTConverterInterface<boolean> {
    constructor();
    encode(input: boolean, stream?: TapStreamWriter): Uint8Array;
    decode(streamOrBuffer: TapStreamReader | Uint8Array): boolean;
}
